
// Make a namespace.
if (typeof directtune == 'undefined') {
  var directtune = {};
}

//Nur zur Sicherheit
if (typeof directtune.addList == 'undefined') {
  directtune.addList = [];
}

directtune.AddController = {
  _compare:function(a, b)
  {
    var as = a.name.toUpperCase();
	var bs = b.name.toUpperCase();
    if (as==bs){return 0;}
	var pos = 0;
	while (as[pos]==bs[pos]) {pos++}
	return as.charCodeAt(pos)-bs.charCodeAt(pos);
  },
  onLoad: function() {
    //bernehme Senderliste
	directtune.addList=window.arguments[1];
	
    var list = document.getElementById("directtune-add-list");
	var arr = directtune.addList;
	arr.sort(this._compare);
	if (arr.length > 0)
	{
	  document.getElementById("directtune-add-dialog").removeChild(document.getElementById("directtune-add-emptylist"));
      for( var i = 0; i < arr.length; i++)
	  {
	    if (arr[i] && arr[i].pack && arr[i].name){
	      var ent = list.appendChild(document.createElement("listitem"));
		  ent.setAttribute("label",arr[i].name+" ("+arr[i].pack+")");
		  ent.stream=arr[i];
		  
		  //window.arguments[0].push(arr[i]);
		}
	  }
	} else {
	  document.getElementById("directtune-add-dialog").removeChild(list);
	  document.getElementById("directtune-add-dialog").removeChild(document.getElementById("directtune-add-list-head"));
	}
  },
  onUnLoad: function() {
  },
  getCurrentItem:function(){
    var list = document.getElementById("directtune-add-list");
	return list.selectedItem.stream;
  },
  validSelection: function(){
    var list = document.getElementById("directtune-add-list");
	var ent = list.selectedItem;
    if (ent) {
	  if (ent.value != "nothing")
	    return true;
	}
	return false;
  }
};

window.addEventListener("load", function(e) { directtune.AddController.onLoad(e); }, false);
window.addEventListener("unload", function(e) { directtune.AddController.onUnLoad(e); }, false);
